Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::MethodSlot5< T, R, P1, P2, P3, P4, P5 > Class Template Reference

A slot template for methods in a class of type T taking five arguments of type P1, P2, P3, P4 and P5, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::MethodSlot5< T, R, P1, P2, P3, P4, P5 >:

List of all members.

## Public Member Functions

- MethodSlot5 (T *object, PMF function)
    Construct a new method slot for a class member function.
- virtual R call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const
    Calls the class method connected to this slot passing it arguments p1, p2, p3, p4 and p5.

## Detailed Description

### template<typename T, typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
class Inti::MethodSlot5< T, R, P1, P2, P3, P4, P5 >

A slot template for methods in a class of type T taking five arguments of type P1, P2, P3, P4 and P5, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename T, typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
Inti::MethodSlot5< T, R, P1, P2, P3, P4, P5 >::MethodSlot5 | ( | T * | object,
|  | PMF | function
| ) | `[inline]`

Construct a new method slot for a class member function.

Parameters:

  object | A pointer to an object of type T.
  function | A class method with the signature R (T::*PMF)(P1, P2, P3, P4, P5).

## Member Function Documentation

template<typename T, typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
virtual R Inti::MethodSlot5< T, R, P1, P2, P3, P4, P5 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4,
|  | P5 | p5
| ) | const`[inline, virtual]`

Calls the class method connected to this slot passing it arguments p1, p2, p3, p4 and p5.

Returns:
  A value of type R returned by the called method.

Implements Inti::Slot5< R, P1, P2, P3, P4, P5 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer